Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.samlp
Class AuthenticationQuery

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.samlp.Query
oracle.security.xmlsec.samlp.SubjectQuery
oracle.security.xmlsec.samlp.AuthenticationQuery`

public class AuthenticationQuery
extends SubjectQuery

The SAML AuthenticationQuery element which specifies a SAML query for retrieving authentication statements relative to a specific Subject.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`AuthenticationQuery(org.w3c.dom.Document owner)` Creates a new `AuthenticationQuery` instance.
`AuthenticationQuery(org.w3c.dom.Element element)` Creates a new `AuthenticationQuery` instance from the given Element node.
`AuthenticationQuery(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `AuthenticationQuery` instance from the given Element node.

Method Summary
`java.lang.String` | `getAuthenticationMethod()` Gets the authentication method.
`void` | `setAuthenticationMethod(java.lang.String uri)` Sets the authentication method.

Methods inherited from class oracle.security.xmlsec.samlp.SubjectQuery
`getSubject, setSubject`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticationQuery

    public AuthenticationQuery(org.w3c.dom.Element element)
                        throws org.w3c.dom.DOMException

  Creates a new `AuthenticationQuery` instance from the given Element node.
Parameters:
  `element` - An AuthenticationQuery element.

### AuthenticationQuery

    public AuthenticationQuery(org.w3c.dom.Element element,
                               java.lang.String systemId)
                        throws org.w3c.dom.DOMException

  Creates a new `AuthenticationQuery` instance from the given Element node.
Parameters:
  `element` - An AuthenticationQuery element.
  `systemId` - The URI string system ID for the `AuthenticationQuery`.

### AuthenticationQuery

    public AuthenticationQuery(org.w3c.dom.Document owner)
                        throws org.w3c.dom.DOMException

  Creates a new `AuthenticationQuery` instance.
Parameters:
  `owner` - The owner document of the new AuthenticationQuery.

Method Detail

### setAuthenticationMethod

    public void setAuthenticationMethod(java.lang.String uri)

  Sets the authentication method.
  Parameters:
    `uri` - A String representing a filter for possible responses.

### getAuthenticationMethod

    public java.lang.String getAuthenticationMethod()

  Gets the authentication method.
  Returns:
    A String object representing a filter for possible responses.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.